=== debian/changelog ===
lib2geom (1.1-3~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 10 Jun 2022 13:39:30 -0700

lib2geom (1.1-3) unstable; urgency=medium

  * Add 3 patches from upstream, pending new upstream release.
  * Bump Standards-Version to 4.6.1, no changes needed.
  * Update Copyright.
  * Add a watchfile

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 23 May 2022 16:21:59 +0200

lib2geom (1.1-2) unstable; urgency=medium

  * Upload to unstable.
  * Add patch from upstream to fix testsuite on i386.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 08 Nov 2021 18:02:22 +0100

lib2geom (1.1-1) experimental; urgency=medium

  * Initial release. (Closes: #989607)

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 19 Jul 2021 17:03:58 +0200
