## lib2geom 1.2

=== debian/changelog ===
lib2geom (1.2-1) unstable; urgency=medium

  * New upstream version 1.2.
  * Remove all patches, applied upstream.
  * Update copyright.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 19 Jul 2022 13:44:11 +0200
