=== debian/control ===
--- 
+++ 
@@ -1,18 +1,22 @@
 Source: lib2geom
 Section: libs
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Mattia Rizzolo <mattia@debian.org>
-Build-Depends: cmake (>= 3.12), debhelper-compat (=13), ninja-build
-Build-Depends-Arch: libboost-dev,
-                    libcairo2-dev,
-                    libdouble-conversion-dev,
-                    libgsl-dev,
-                    libgtest-dev,
-                    libgtk-3-dev,
-                    pkg-config,
-                    ragel
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders:
+ Mattia Rizzolo <mattia@debian.org>,
+Build-Depends:
+ cmake (>= 3.12),
+ debhelper-compat (=13),
+ ninja-build,
+Build-Depends-Arch:
+ libboost-dev,
+ libcairo2-dev,
+ libdouble-conversion-dev,
+ libgsl-dev,
+ libgtest-dev,
+ libgtk-3-dev,
+ pkg-config,
+ ragel,
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/inkscape/lib2geom
@@ -22,7 +26,9 @@
 Package: lib2geom1.1.0
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: robust computational geometry framework -- shared library
  2Geom is a C++ 2D geometry library geared towards robust processing of
  computational geometry data associated with vector graphics. The primary
@@ -45,9 +51,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: lib2geom1.1.0 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends:
+ lib2geom1.1.0 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: robust computational geometry framework -- development library
  2Geom is a C++ 2D geometry library geared towards robust processing of
  computational geometry data associated with vector graphics. The primary
