=== debian/changelog ===
lib2geom (1.2.2-4build1) oracular; urgency=medium

  * Rebuild against new libgsl28.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 Jul 2024 08:44:50 +0200

lib2geom (1.2.2-4) unstable; urgency=medium

  * Team upload.
  * debian/rules: Work-around issues with float precision on i386 (Closes:
    #1051980)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 01 May 2024 17:21:27 +0200

lib2geom (1.2.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062322

 -- Lukas Märdian <slyon@debian.org>  Thu, 29 Feb 2024 08:25:45 +0000

lib2geom (1.2.2-3) unstable; urgency=medium

  * Upload to unstable.
  * Bump copyright years.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 10 Jan 2023 01:51:24 +0100

lib2geom (1.2.2-2) experimental; urgency=medium

  * Rename lib2geom library package to follow the bumped SOVERSION.
  * Drop the patch from the previous upload.
  * d/copyright: Remove an unused license paragraph.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 18 Dec 2022 21:03:14 +0100

lib2geom (1.2.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
    * Build-Depends: Drop versioned constraint on cmake.

  [ Mattia Rizzolo ]
  * New upstream version 1.2.2
  * d/control:
    + Fix typo in Vcs-Browser
    + Bump Standards-Version to 4.6.2, no changes needed.
  * Add patch to temporary ignore a SONAME bump.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 18 Dec 2022 19:18:49 +0100
