=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Mattia Rizzolo <mattia@debian.org>,
-Build-Depends:
- cmake (>= 3.12),
- debhelper-compat (=13),
+Build-Depends: dpkg-dev (>= 1.22.5),
+ cmake,
+ debhelper-compat (= 13),
  ninja-build,
-Build-Depends-Arch:
+Build-Depends-Arch: dpkg-dev (>= 1.22.5),
  libboost-dev,
  libcairo2-dev,
  libdouble-conversion-dev,
@@ -17,13 +17,16 @@
  libgtk-3-dev,
  pkg-config,
  ragel,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/inkscape/lib2geom
 Vcs-Git: https://salsa.debian.org/multimedia-team/lib2geom.git
-Vcs-Browser: https://salsa.debian.org/multimedia-team/lib2gem
+Vcs-Browser: https://salsa.debian.org/multimedia-team/lib2geom
 
-Package: lib2geom1.1.0
+Package: lib2geom1.2.0t64
+Provides: ${t64:Provides}
+Replaces: lib2geom1.2.0
+Breaks: lib2geom1.2.0 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -52,7 +55,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- lib2geom1.1.0 (= ${binary:Version}),
+ lib2geom1.2.0t64 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: robust computational geometry framework -- development library
