=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

ifeq (${DEB_HOST_ARCH},i386)
export DEB_CFLAGS_MAINT_APPEND=-fexcess-precision=fast -ffloat-store
export DEB_CXXFLAGS_MAINT_APPEND=-fexcess-precision=fast -ffloat-store
endif

%:
	dh $@ --buildsystem cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		-D2GEOM_BUILD_SHARED=ON \
		-DCMAKE_SKIP_RPATH:BOOL=ON \

# needed to pass the tests, as without rpath somhow the tests can't find the library anymore
override_dh_auto_test:
	LD_LIBRARY_PATH=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/src/2geom dh_auto_test
