## lib2geom 1.3

=== debian/changelog ===
lib2geom (1.3-3) experimental; urgency=medium

  * Team upload
  * debian/control: Bump Standards-Version
  * debian/rules: Work-around issues with float precision on i386 (Closes:
    #1051980)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 01 May 2024 17:09:10 +0200

lib2geom (1.3-2) experimental; urgency=medium

  * Add patch to disable a failing tests.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 09 Sep 2023 11:23:33 +0530

lib2geom (1.3-1) experimental; urgency=medium

  * New upstream version 1.3.
  * Bump copyright years.
  * Rename lib2geom library package to follow the bumped SOVERSION.
  * Restore a file that may be modified at build time. (Closes: #1048245)

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 04 Sep 2023 11:04:33 +0530
