=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,14 @@
 		-D2GEOM_BUILD_SHARED=ON \
 		-DCMAKE_SKIP_RPATH:BOOL=ON \
 
+execute_before_dh_auto_build:
+	# If ragel is present then this file will be rebuilt at build time.
+	# Restore the original file on clean if that's the case.
+	# https://bugs.debian.org/1048245
+	set -e; [ ! -e $(shell command -v ragel) ] || \
+		perl -MDebian::Debhelper::Dh_Lib=restore_file_on_clean \
+			-e 'restore_file_on_clean("src/2geom/svg-path-parser.cpp")'
+
 # needed to pass the tests, as without rpath somhow the tests can't find the library anymore
 override_dh_auto_test:
 	LD_LIBRARY_PATH=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/src/2geom dh_auto_test
