## lib2geom 1.4

=== debian/changelog ===
lib2geom (1.4-4) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 14 Mar 2025 20:14:53 -0400

lib2geom (1.4-3) experimental; urgency=medium

  * Team upload.
  * Fix pkgconf package name.

 -- Bastian Germann <bage@debian.org>  Mon, 09 Dec 2024 18:59:26 +0100

lib2geom (1.4-2) experimental; urgency=medium

  * Team upload
  * Disable failing tests SolveQuartic
  * Replace B-D: pkg-config with pkgconf

  [ Pino Toscano ]
  * d/rules: Apply i386 float precision work-around on any OS, not only Linux

 -- Bastian Germann <bage@debian.org>  Mon, 09 Dec 2024 08:56:38 +0100

lib2geom (1.4-1) experimental; urgency=medium

  * Team upload
  * d/watch: Fix for new Gitlab website
  * New upstream version 1.4

 -- Bastian Germann <bage@debian.org>  Fri, 06 Dec 2024 08:46:06 +0100
