=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 include /usr/share/dpkg/architecture.mk
 
-ifeq (${DEB_HOST_ARCH},i386)
+ifeq (${DEB_HOST_ARCH_CPU},i386)
 export DEB_CFLAGS_MAINT_APPEND=-fexcess-precision=fast -ffloat-store
 export DEB_CXXFLAGS_MAINT_APPEND=-fexcess-precision=fast -ffloat-store
 endif
