=== debian/watch ===
version=4

opts=searchmode=plain \
https://gitlab.com/inkscape/lib2geom/-/tags /inkscape/lib2geom/-/archive/@ANY_VERSION@/@PACKAGE@-[\d.]+.tar.bz2
